Partially update a prompt
curl --request PATCH \
--url https://agents.nineteen58.co.za/public-api/prompts/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_global": true,
"goal": "<string>",
"flow": "<string>",
"tool_use_rules": "<string>",
"background": "<string>",
"persona": "<string>",
"outcomes_json": {},
"example_conversation": "<string>",
"outcomes": "<string>"
}
'import requests
url = "https://agents.nineteen58.co.za/public-api/prompts/{id}"
payload = {
"name": "<string>",
"prompt": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_global": True,
"goal": "<string>",
"flow": "<string>",
"tool_use_rules": "<string>",
"background": "<string>",
"persona": "<string>",
"outcomes_json": {},
"example_conversation": "<string>",
"outcomes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_global: true,
goal: '<string>',
flow: '<string>',
tool_use_rules: '<string>',
background: '<string>',
persona: '<string>',
outcomes_json: {},
example_conversation: '<string>',
outcomes: '<string>'
})
};
fetch('https://agents.nineteen58.co.za/public-api/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Prompts
Partial Update Prompt
PATCH
/
public-api
/
prompts
/
{id}
Partially update a prompt
Authorizations
Path Parameters
Body
application/json
Response
Prompt updated successfully
⌘I

